peripheral Module Reference

Peripheral Devices. More...

## Classes

struct | Address_4_0_0
| peripheral device position based address More...
struct | DeviceID_4_0_0
| peripheral device identification More...
interface | DeviceManager_3_0_2
| Peripheral Device Manager. More...
interface | DeviceSlot_2_0_3
| Peripheral Device Slot. More...
interface | DoorHandleControllerPackage_1_0_1
interface | G2Production_4_0_0
interface | Package_1_0_1
struct | PackageInfo_2_0_1
| Peripheral device package information. More...
struct | PosElement
| peripheral device position element, list forms position More...

## Enumerations

enum | PortType { ONEWIRE_ONBOARD, ONEWIRE_DEV_PORT, ONEWIRE_HUB_PORT, ONEWIRE_CHAIN_POS }
| peripheral device port types More...

## Variables

valueobject | Device_3_0_2
| A peripheral device is the collection of. More...
vector< PosElement > | position
| Position within 1-wire topo.
string | packageClass
| physical package identifier
sensors::Sensor_4_0_3 | device
| device reference

## Detailed Description

Peripheral Devices.

## Enumeration Type Documentation

## PortType

enum peripheral::PortType

peripheral device port types

Enumerator
ONEWIRE_ONBOARD | a built in, inaccessible port
ONEWIRE_DEV_PORT | a 1-wire port on the device
ONEWIRE_HUB_PORT | a port on a Hub
ONEWIRE_CHAIN_POS | a chain position

## Variable Documentation

## Device_3_0_2

valueobject peripheral::Device_3_0_2

Initial value:
{
DeviceID_4_0_0 deviceID

A peripheral device is the collection of.

- device identification
- device position
- a flag indicating actuator type
- device referencedevice identification